#!/usr/bin/env python
# -*- coding: utf-8 -*-
import pygtk
from gi.repository import Gtk, Unity
    
class HelloWorld:
    def hello(self, widget, data=None):
        # Works as user, not as root
        self.launcher.set_property("progress", 0.42)
        self.launcher.set_property("progress_visible", True)
        
        dialog = Gtk.MessageDialog(self.window, 0, Gtk.MessageType.INFO, Gtk.ButtonsType.OK, "test")
        dialog.format_secondary_text("Prueba")
        dialog.run()
        dialog.destroy()
        
    def destroy(self, widget, data=None):
        Gtk.main_quit()
        
    def __init__(self):
        self.launcher = Unity.LauncherEntry.get_for_desktop_id ("1.desktop")
        
        self.window = Gtk.Window()
        self.window.connect("destroy", self.destroy)
        self.window.set_border_width(10)
        self.button = Gtk.Button("Hello World")
        self.button.connect("clicked", self.hello, None)
        self.window.add(self.button)
        self.button.show()
        self.window.show()
        
    def main(self):
        Gtk.main()
        
if __name__ == "__main__":
    hello = HelloWorld()
    hello.main()
